Subject: RE: [Sip] RE: REFER request with method parameter != INVITE in refer-to he ader

From: "Chris Boulton" <[email-masked]>
Date: Mon, 29 Sep 2003 11:57:26 +0100

<<comments in-line>>

>-----Original Message-----
>From: Ofra Wachsman [mailto:[email-masked]]
>Sent: 29 September 2003 06:36
>To: 'Robert Sparks'; Ofra Wachsman
>Cc: [email-masked]'
>Subject: [Sip] RE: REFER request with method parameter != INVITE in
refer-
>to he ader
>
>thanks for the answer.
>about question 2 - you said that "if the REFER is to a
>SUBSCRIBE, you will get notification about the success or
>failure of that SUBSCRIBE transaction",
>but the first NOTIFY request is part of the subscription establishment.
the
>subscription is not established until this request is accepted. so,
>shouldn't the referee send notification about the subscription
>establishment, and not about the SUBSCRIBE transaction?

[Chris Boulton] Not really - when you generate the SUBSCRIBE - you will
be notified of the success of dialog creation - not necessarily
subscription creation.  The 200 OK to the SUBSCRIBE provides this
information.

>
>-----Original Message-----
>From: Robert Sparks [mailto:[email-masked]]
>Sent: Friday, September 26, 2003 5:04 PM
>To: Ofra Wachsman
>Cc: [email-masked]'
>Subject: Re: REFER request with method parameter != INVITE in refer-to
>header
>
>
>On Thu, 2003-09-25 at 06:02, Ofra Wachsman wrote:
>> Hi
>> I have some questions about Refer-To header with method=SUBSCIRBE or
>> method=REFER in it's URI. (rfc 3515)
>> 1. When receiving REFER request with method=SUBSCIRBE, a new
subscription
>> should be created. how do I know what is the event of this
subscription?
>> same problem for method=REFER, how do I know the Refer-To header for
the
>new
>> REFER?
>> Is there a draft defining such behavior?
>These can be defined using the URI "?" header escaping mechanism:
>
>Some examples (which may not be completely escaped correctly, but
>they show the spirit of the thing:)
>
>Refer-To: sip:rjs-presence@example;method=SUBSCRIBE?Event=presence
>
>Refer-To:
>sip:rjs-refer@example;method=REFER?Refer-To=<sip:target's-target>
>
>>
>> 2. If I created this subscription, what are the states of the new
>> subscription, that we should notify the referrer of? only receiving
>> responses? what about receiving notifications (if so, what will be
the
>> status code in the body status line?)?
>
>The REFER creates an implicit subscription to the status of the
>referrenced request and that only. So, if the REFER is to a
>SUBSCRIBE, you will get notification about the success or
>failure of that SUBSCRIBE transaction, but not information
>about any future NOTIFYs due to that SUBSCRIBE.
>
>RjS
>
>>
>> Ofra
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip